Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn
Class JAZNObjectExistsException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.security.jazn.JAZNException
oracle.security.jazn.JAZNObjectExistsException`

All Implemented Interfaces:
  java.io.Serializable

public class JAZNObjectExistsException
extends JAZNException

JAZNObjectExistsException is thrown when an attempt is made to create an object that already exists.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.security.jazn.JAZNException
`_cause`

Constructor Summary
`JAZNObjectExistsException()` Creates a new instance of JAZNObjectExistsException
`JAZNObjectExistsException(java.lang.String msg)` Creates a new instance of JAZNObjectExistsException with the specified arguments
`JAZNObjectExistsException(java.lang.String msg, java.lang.Throwable cause)` Creates a new instance of JAZNObjectExistsException with the specified arguments

Methods inherited from class oracle.security.jazn.JAZNException
`getCause, initCause, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAZNObjectExistsException

    public JAZNObjectExistsException()

  Creates a new instance of JAZNObjectExistsException

### JAZNObjectExistsException

    public JAZNObjectExistsException(java.lang.String msg)

  Creates a new instance of JAZNObjectExistsException with the specified arguments

### JAZNObjectExistsException

    public JAZNObjectExistsException(java.lang.String msg,
                                     java.lang.Throwable cause)

  Creates a new instance of JAZNObjectExistsException with the specified arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.